Bug 1993821 - SIGSEGV in plugin-container
Summary: SIGSEGV in plugin-container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1997224 2002833 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-16 07:56 UTC by Andrey Motoshkov
Modified: 2021-09-24 20:23 UTC (History)
13 users (show)

Fixed In Version: firefox-92.0-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:23:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrey Motoshkov 2021-08-16 07:56:17 UTC
Description of problem:
While opening spotify web player error displayed:
WidevineCdm plugin crashed

Version-Release number of selected component (if applicable):
firefox-91.0-1.fc35.x86_64
firefox-wayland-91.0-1.fc35.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Open spotify player page https://open.spotify.com/
2.
3.

Actual results:
MainThread crash

Expected results:
Opened with no error

Additional info:
Logs:
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/firefox/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/glibc-hwcaps/x86-64-v3/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/glibc-hwcaps/x86-64-v2/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/tls/haswell/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/tls/haswell/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/tls/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/tls/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/haswell/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/haswell/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /lib64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/glibc-hwcaps/x86-64-v3/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/glibc-hwcaps/x86-64-v2/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/tls/haswell/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/tls/haswell/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/tls/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/tls/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/haswell/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/haswell/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/x86_64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: attempt to open unexpected file /usr/lib64/libdl.so.2
Aug 16 10:43:07 dragonfly firefox-wayland.desktop[7487]: Sandbox: seccomp sandbox violation: pid 7487, tid 7487, syscall 262, args 4294967196 140737200729248 140737200729440 0 4294967295 140737200729248.
Aug 16 10:43:07 dragonfly audit[7487]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 pid=7487 comm="MainThread" exe="/usr/lib64/firefox/plugin-container" sig=11 res=1
Aug 16 10:43:07 dragonfly kernel: MainThread[7487]: segfault at 0 ip 00007f4d92cc57a4 sp 00007fffeedb3d90 error 6 in libxul.so[7f4d91c34000+4453000]
Aug 16 10:43:07 dragonfly kernel: Code: 00 00 00 00 00 00 00 0f 0b 4c 8d 05 ee 12 4f 04 4c 89 00 c7 04 25 00 00 00 00 00 00 00 00 0f 0b 48 8d 3d 07 13 4f 04 48 89 38 <c7> 04 25 00 00 00 00 00 00 00 00 0f 0b 48 8d 35 28 13 4f 04 48 89
Aug 16 10:43:08 dragonfly systemd-coredump[7492]: [🡕] Process 7487 (MainThread) of user 1000 dumped core.
                                                  
                                                  Found module linux-vdso.so.1 with build-id: 0673f959939ac64e9c493472622612bcd8b2462a
                                                  Found module libgpg-error.so.0 with build-id: 42587ce26856ad15cf5630134f114599783477ed
                                                  Found module libuuid.so.1 with build-id: c4aaff94daa7740e4b9361f9435f0df8a43170c3
                                                  Found module libgcrypt.so.20 with build-id: 8ad1ab0956ec6706cb0ac05a2c821f41c17eb939
                                                  Found module libcap.so.2 with build-id: 0214aa9cc6a8646eb9ec27ab7dda6a2219da6500
                                                  Found module liblz4.so.1 with build-id: fd02c4542a1ce1ad6c503b958447be1c37a4afee
                                                  Found module libzstd.so.1 with build-id: c594c701d8f5ba174a5be306973fa9803d65e327
                                                  Found module libpcre2-8.so.0 with build-id: dbf58040a44903b428c4e68716aa4f45058ad650
                                                  Found module libblkid.so.1 with build-id: 946607ad6200334cad7f1981c3213fadaf02f834
                                                  Found module libdatrie.so.1 with build-id: 9ebd99e63729783155e081cc2c2377a767b9e3c4
                                                  Found module libatspi.so.0 with build-id: 2ffa6dba4234215d1989894fdb20077409ae3a3d
                                                  Found module liblzma.so.5 with build-id: 7fec53ce7cba9489f130c99cfd3ace82e9dde0ee
                                                  Found module libbrotlicommon.so.1 with build-id: 9e92a8ec2d9efe80ec86e04fba0549cd3202ebc4
                                                  Found module libICE.so.6 with build-id: 322afa55205247e8243671021f23846fbaeb9c21
                                                  Found module libSM.so.6 with build-id: 66be9db349cf0e0925db17296fcddae2ee5b9999
                                                  Found module libsystemd.so.0 with build-id: 73fa10538b51944ab8fec4be67912aba53e710de
                                                  Found module libpcre.so.1 with build-id: ce9a8b0bdac649d979973b7f1d07ad091d2f348d
                                                  Found module libresolv.so.2 with build-id: c3ee256ed346b02548ae2f720d14666e51d27e8f
                                                  Found module libselinux.so.1 with build-id: 104040a9146de3345eebd544f253ad4f9f6cc8c7
                                                  Found module libmount.so.1 with build-id: 82be0d69642720527ec427df8b886d511e89bea6
                                                  Found module libjpeg.so.62 with build-id: 6363dd3a9417d15d5a42e800ecb02238cd142125
                                                  Found module libxcb-render.so.0 with build-id: 36edcc5980076552c68ccef2c6199808cba68f98
                                                  Found module libpixman-1.so.0 with build-id: dc521afa5e1d55834eebac7bb3c97cfe5e73f384
                                                  Found module libgraphite2.so.3 with build-id: 58f949a538f65a6221e442879144b368f663f7e3
                                                  Found module libthai.so.0 with build-id: 1f7b46f526e1fba04f29535981483f50c782775e
                                                  Found module libwayland-egl.so.1 with build-id: ff42fe0eeca6a4c95efc7c2b024e98dadf763267
                                                  Found module libwayland-cursor.so.0 with build-id: 3df8fa12f532612fc50f17938906c434e86106ad
                                                  Found module libxkbcommon.so.0 with build-id: b4e62b7842b16482af72f1a678831eaa19db4762
                                                  Found module libXrandr.so.2 with build-id: eb8b304d315d3ee09980cafe7ceda9582daa40e8
                                                  Found module libXinerama.so.1 with build-id: 72d169302fe5696536345d6da1605baeb6e3bc01
                                                  Found module libfribidi.so.0 with build-id: a4e245984a5c2e6d842a71adea32ec7c05cb7e40
                                                  Found module libepoxy.so.0 with build-id: b84cbf37060b4f0362e7eb5705f532b6cc5bdd5b
                                                  Found module libwayland-client.so.0 with build-id: ecba40c75b2d78de955fa69baada38ed183fd4f9
                                                  Found module libatk-bridge-2.0.so.0 with build-id: 8df66b2fcb2033cdad8e26a3ad13ad7f3cdf4144
                                                  Found module libgmodule-2.0.so.0 with build-id: ccfa90b53da05c816997f7e4716fb67948a51abd
                                                  Found module libcloudproviders.so.0 with build-id: 5b10ee7ce7470f15b8429030cf810e671a185de5
                                                  Found module libxml2.so.2 with build-id: 8f21e0bbe0106c5c5cd35859487dcc074b8f13bd
                                                  Found module libbrotlidec.so.1 with build-id: 57cb8a53e33f31a620f3739919414c0d00549f87
                                                  Found module libpng16.so.16 with build-id: afcd45d29b0d579615db44a29213544328adde6f
                                                  Found module libbz2.so.1 with build-id: 19ce300b78962ee0b113afb0f1016727a2f3c37b
                                                  Found module libXau.so.6 with build-id: b6a2d4859848c28bf0a4fc8744d04b1935879af6
                                                  Found module libgthread-2.0.so.0 with build-id: 6902c375be13a888eda14387efdf397b17587b21
                                                  Found module libXt.so.6 with build-id: a45d0501cefd82176212d7c5844a67e5aff7c574
                                                  Found module libpangoft2-1.0.so.0 with build-id: 40e70d573bdc6a25dc38102c609923e45cacc05d
                                                  Found module libxcb-shm.so.0 with build-id: a31877f8ca8058df0005532a160d93a1104c5401
                                                  Found module libdbus-1.so.3 with build-id: 450ef390503ec82a65caa90c841d4068d136dcf3
                                                  Found module libdbus-glib-1.so.2 with build-id: 6a0fc8765d53e60df12f887aa8a4feeda211bae7
                                                  Found module libglib-2.0.so.0 with build-id: dbc65149973e2493a72e4fa93593bfea6608693a
                                                  Found module libgobject-2.0.so.0 with build-id: b5adf37aa746b2e8591a299741319c9ef562d9a6
                                                  Found module libgio-2.0.so.0 with build-id: 0343438365573f7518f8e295f5284ed2a7d27875
                                                  Found module libgdk_pixbuf-2.0.so.0 with build-id: b6e5e7c59ce90aecabf6b0b005ecd138dd6bae45
                                                  Found module libcairo.so.2 with build-id: 8a28f43397104b4ef517df6c119772b5d577f48e
                                                  Found module libcairo-gobject.so.2 with build-id: 7a1381e606b2601e779ccd25afbc719c5bc4e922
                                                  Found module libatk-1.0.so.0 with build-id: b3d190657efe01bedd3077177d2bd473b7b737df
                                                  Found module libharfbuzz.so.0 with build-id: 620a4b6e2914d6e1301c086def09a60e58450dc3
                                                  Found module libpango-1.0.so.0 with build-id: e266e6a1b0b1f7f8f66144c96c6baeecafe9b6d9
                                                  Found module libpangocairo-1.0.so.0 with build-id: 17e4d7e6494d7931ddfa9a9512e215aabb04ff15
                                                  Found module libgdk-3.so.0 with build-id: 99391ca8f15f7ff89e0b07b40082f1ec72670b65
                                                  Found module libgtk-3.so.0 with build-id: 8c0dbf99f587c9ebdd0e36183488dbb4bcd4cedc
                                                  Found module libfontconfig.so.1 with build-id: e50d477be88a082f6a2fd42a7db8278bb88466ca
                                                  Found module libfreetype.so.6 with build-id: 6d98d390da279e5c22ebe472a552b3470554655b
                                                  Found module libnssutil3.so with build-id: 1b3f8b33e4d967829322c7d2dacf4fe50ad58a7e
                                                  Found module libnss3.so with build-id: 0549f5ac040f8cc7e7ae42ad12e3d24ea5d448f2
                                                  Found module libsmime3.so with build-id: f0976a90d66c298ff85ac25e7c8b6c1237d15b68
                                                  Found module libssl3.so with build-id: f4bd0b826c16b3e0ee80dd3ac51d03da1f5c48b3
                                                  Found module libz.so.1 with build-id: 5903f5c355c264403e4e7cdc66779584425ca3b8
                                                  Found module libffi.so.6 with build-id: 0129f72b58e11d59546f7f207d2c90af7ebd9a5e
                                                  Found module libXrender.so.1 with build-id: 45e135fd2ee2393b7eb0c94f964542b8326582e1
                                                  Found module libXi.so.6 with build-id: e1d4fcbcab03948da50a0e175ac2459c335e7939
                                                  Found module libXfixes.so.3 with build-id: e8020da14577d275b75ed0c4cb18b1050fc33595
                                                  Found module libXext.so.6 with build-id: 08e82aa07cb7910a08d8386fb16de7896ce290f4
                                                  Found module libXdamage.so.1 with build-id: 7ad2a44d600f984d1728b624701f5d41bba04067
                                                  Found module libXcursor.so.1 with build-id: fb3d6eb4c582d4761eab821bc0ceb77fc7c2654f
                                                  Found module libXcomposite.so.1 with build-id: 4223e166fff31d2e529cc5f856c7100fbdf67cd9
                                                  Found module libxcb.so.1 with build-id: 1352e33391b3079347f320218799d6e531bd42f1
                                                  Found module libX11-xcb.so.1 with build-id: c9ad3de1db0ce5fadbbba3d0dfa3346777547678
                                                  Found module libX11.so.6 with build-id: 8d35504e71458ad6afe46c6e64b45f56e752e904
                                                  Found module libmozwayland.so with build-id: d65362e4c4abdc2b0a913e57949c1e8c16a4f794
                                                  Found module libmozgtk.so with build-id: 81bca8d587caedcb38fd16acd39f5b00c04b08d9
                                                  Found module libmozsqlite3.so with build-id: 9bac290ca9da0a6b88989db8cd30c0c459bf0b2c
                                                  Found module liblgpllibs.so with build-id: 2b4076bc191a86b7b0ff6bc6d9b19a87e561e9eb
                                                  Found module ld-linux-x86-64.so.2 with build-id: 00cb0efd94f3787ef2d60888646c5f84c15d7805
                                                  Found module libc.so.6 with build-id: b5bd67654a828ec1f6048e86446c0ce7efeb5934
                                                  Found module libgcc_s.so.1 with build-id: 279c1648ee67377b5de1c45a244740beea48423e
                                                  Found module libm.so.6 with build-id: 1addccfc054595f468124c364eebb7204bddc08d
                                                  Found module libstdc++.so.6 with build-id: ee39599366a0d94a90b4d1b74bd39bb6ce9e4cea
                                                  Found module libnspr4.so with build-id: ef2df98a4b055d18ecc8d6220ca3625fce83e9a1
                                                  Found module libplc4.so with build-id: cb2466b5028118d834c86746815d966e56fe2615
                                                  Found module libplds4.so with build-id: 3aa374aa1cb69f836123ed13b8aabfeddd94fcab
                                                  Found module libxul.so with build-id: 08c52f3df8a25dbe5022df1ab1413931d545464c
                                                  Found module libmozsandbox.so with build-id: f461dd95ca845ba060bd65f95c829b8e30890be7
                                                  Found module plugin-container with build-id: 2e7c29d8166572798c67a1845289055260e466e2
                                                  Stack trace of thread 7487:
                                                  #0  0x00007f4d92cc57a4 _ZN7mozilla3gmp8GMPChild15ProcessingErrorENS_3ipc14HasResultCodes6ResultEPKc (libxul.so + 0x19c97a4)
                                                  #1  0x00007f4d91f75a07 _ZN7mozilla3ipc9IPCResult4FailENS_7NotNullIPNS0_9IProtocolEEEPKcS7_ (libxul.so + 0xc79a07)
                                                  #2  0x00007f4d92ccdddd _ZN7mozilla3gmp8GMPChild17AnswerStartPluginERK9nsTStringIDsE (libxul.so + 0x19d1ddd)
                                                  #3  0x00007f4d9200d3a1 _ZN7mozilla3gmp9PGMPChild14OnCallReceivedERKN3IPC7MessageERPS3_ (libxul.so + 0xd113a1)
                                                  #4  0x00007f4d91f735a2 _ZN7mozilla3ipc14MessageChannel24DispatchInterruptMessageEPNS0_19ActorLifecycleProxyEON3IPC7MessageEm (libxul.so + 0xc775a2)
                                                  #5  0x00007f4d91f6b87b _ZN7mozilla3ipc14MessageChannel15DispatchMessageEON3IPC7MessageE.cold (libxul.so + 0xc6f87b)
                                                  #6  0x00007f4d93e2a595 _ZN7mozilla3ipc14MessageChannel11MessageTask3RunEv (libxul.so + 0x2b2e595)
                                                  #7  0x00007f4d93e1f9d0 _ZN11MessageLoop6DoWorkEv (libxul.so + 0x2b239d0)
                                                  #8  0x00007f4d93e21bb0 _ZN4base18MessagePumpDefault3RunEPNS_11MessagePump8DelegateE (libxul.so + 0x2b25bb0)
                                                  #9  0x00007f4d941e1b6c _ZN11MessageLoop3RunEv (libxul.so + 0x2ee5b6c)
                                                  #10 0x00007f4d94e17c90 _Z20XRE_InitChildProcessiPPcPK12XREChildData (libxul.so + 0x3b1bc90)
                                                  #11 0x00005622d6d02aab _Z20content_process_mainPN7mozilla9BootstrapEiPPc (plugin-container + 0x51aab)
                                                  #12 0x00005622d6cf43e3 main (plugin-container + 0x433e3)
                                                  #13 0x00007f4d90d9b560 __libc_start_call_main (libc.so.6 + 0x2d560)
                                                  #14 0x00007f4d90d9b60c __libc_start_main@@GLIBC_2.34 (libc.so.6 + 0x2d60c)
                                                  #15 0x00005622d6d02995 _start (plugin-container + 0x51995)
                                                  
                                                  Stack trace of thread 7490:
                                                  #0  0x00007f4d90e78e2d syscall (libc.so.6 + 0x10ae2d)
                                                  #1  0x00007f4d93e273ae epoll_wait (libxul.so + 0x2b2b3ae)
                                                  #2  0x00007f4d93e26bff event_base_loop (libxul.so + 0x2b2abff)
                                                  #3  0x00007f4d93e1f726 _ZN4base19MessagePumpLibevent3RunEPNS_11MessagePump8DelegateE (libxul.so + 0x2b23726)
                                                  #4  0x00007f4d941e1b6c _ZN11MessageLoop3RunEv (libxul.so + 0x2ee5b6c)
                                                  #5  0x00007f4d941e632d _ZN4base6Thread10ThreadMainEv (libxul.so + 0x2eea32d)
                                                  #6  0x00007f4d941e117b _ZL10ThreadFuncPv (libxul.so + 0x2ee517b)
                                                  #7  0x00007f4d90dfbaaf start_thread (libc.so.6 + 0x8daaf)
                                                  #8  0x00007f4d90e80300 __clone3 (libc.so.6 + 0x112300)

Comment 1 Andrey Motoshkov 2021-08-16 08:39:02 UTC
Backtrace:
Core was generated by `/usr/lib64/firefox/plugin-container /home/andreym/.mozilla/firefox/04v2gxrw.def'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  mozilla::gmp::GMPChild::ProcessingError (this=<optimized out>, aCode=<optimized out>, aReason=<optimized out>) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/dom/media/gmp/GMPChild.cpp:599
599	      MOZ_CRASH("aborting because of MsgProcessingError");
[Current thread is 1 (Thread 0x7f79b9eb1100 (LWP 8538))]
(gdb) info threads
  Id   Target Id                        Frame 
* 1    Thread 0x7f79b9eb1100 (LWP 8538) mozilla::gmp::GMPChild::ProcessingError (this=<optimized out>, aCode=<optimized out>, aReason=<optimized out>)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/dom/media/gmp/GMPChild.cpp:599
  2    Thread 0x7f79b9eaa640 (LWP 8541) syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
(gdb) bt full
#0  mozilla::gmp::GMPChild::ProcessingError(mozilla::ipc::HasResultCodes::Result, char const*) (this=<optimized out>, aCode=<optimized out>, aReason=<optimized out>)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/dom/media/gmp/GMPChild.cpp:599
#1  0x00007f79bd2e2a07 in mozilla::ipc::IPCResult::Fail(mozilla::NotNull<mozilla::ipc::IProtocol*>, char const*, char const*)
    (actor=actor@entry=..., where=where@entry=0x7f79c252528f "AnswerStartPlugin", why=why@entry=0x7f79c25252cc "Failed to load GMP.")
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/objdir/dist/include/nsTString.h:161
        errorMsg = 
            {<nsTAutoStringN<char, 16>> = {<nsTString<char>> = {<nsTSubstring<char>> = {<mozilla::detail::nsTStringRepr<char>> = {mData = 0x7f79b9c2a5c8 "AnswerStartPlugin Failed to load GMP.\n", mLength = 38, mDataFlags = 5, mClassFlags = 3}, static kMaxCapacity = 2147483637}, <No data fields>}, mInlineCapacity = 15, mStorage = "\000\177\000\000*op\022\fV\000\000\067\000\000"}, <No data fields>}
#2  0x00007f79be03addd in mozilla::gmp::GMPChild::AnswerStartPlugin(nsTString<char16_t> const&) (this=this@entry=0x7f79b9c59c20, aAdapter=...)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/objdir/dist/include/mozilla/NotNull.h:225
        __FUNCTION__ = "AnswerStartPlugin"
        libPath = 
            {<nsTSubstring<char>> = {<mozilla::detail::nsTStringRepr<char>> = {mData = 0x7f79b9c8a488 "/home/andreym/.mozilla/firefox/04v2gxrw.default-1570082763056/gmp-widevinecdm/4.10.2209.1/libwidevinecdm.so", mLength = 107, mDataFlags = 5, mClassFlags = mozilla::detail::StringClassFlags::NULL_TERMINATED}, static kMaxCapacity = 2147483637}, <No data fields>}
        __func__ = "AnswerStartPlugin"
        platformAPI = 0x7f79b9c2a5c0
        adapter = 0x7f79b9c25560
#3  0x00007f79bd37a3a1 in mozilla::gmp::PGMPChild::OnCallReceived(IPC::Message const&, IPC::Message*&) (this=0x7f79b9c59c20, msg__=..., reply__=@0x7ffe1f1b3cf0: 0x0)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/objdir/ipc/ipdl/PGMPChild.cpp:644
        raiiObject628 = {mProfilingStack = 0x7f79b9c25240}
        iter__ = 
              {iter_ = {mSegment = 0, mData = 0x7f79b9c5754c "", mDataEnd = 0x7f79b9c5754c "", mAbsoluteOffset = 60}, start_ = {mValue = {mUsedCanonicalNow = 0, mTimeStamp = 4122653092521}}}
        adapter = 
              {<nsTSubstring<char16_t>> = {<mozilla::detail::nsTStringRepr<char16_t>> = {mData = 0x7f79b9c25768 u"chromium", mLength = 8, mDataFlags = 5, mClassFlags = mozilla::detail::StringClassFlags::NULL_TERMINATED}, <No data fields>}, <No data fields>}
        id__ = 2147483647
        route__ = <optimized out>
#4  0x00007f79bd2e05a2 in mozilla::ipc::MessageChannel::DispatchInterruptMessage(mozilla::ipc::ActorLifecycleProxy*, IPC::Message&&, unsigned long)
    (this=this@entry=0x7f79b9c59ce0, aProxy=aProxy@entry=0x7f79b9c25660, aMsg=..., stackDepth=stackDepth@entry=0)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/objdir/dist/include/mozilla/UniquePtrExtensions.h:182
        reply = 
              {mTuple = {<mozilla::detail::CompactPairHelper<IPC::Message*, mozilla::DefaultDelete<IPC::Message>, (mozilla::detail::StorageType)1, (mozilla::detail::StorageType)0>> = {<mozilla::DefaultDelete<IPC::Message>> = {<No data fields>}, mFirstA = 0x0}, <No data fields>}}
        rv = <optimized out>
        lock = {mMonitor = <optimized out>}
#5  0x00007f79bd2d887b in mozilla::ipc::MessageChannel::DispatchMessage(IPC::Message&&) (this=0x7f79b9c59ce0, aMsg=...)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/glue/MessageChannel.cpp:2009
        unlock = {mMonitor = 0x7f79b9c57430}
        transaction = 
                {mChan = 0x7f79b9c59ce0, mActive = false, mOutgoing = false, mNestedLevel = 1, mSeqno = 2, mTransaction = 0, mNext = 0x0, mReply = {mTuple = {<mozilla::detail::CompactPairHelper<IPC::Message*, mozilla::DefaultDelete<IPC::Message>, (mozilla::detail::StorageType)1, (mozilla::detail::StorageType)0>> = {<mozilla::DefaultDelete<IPC::Message>> = {<No data fields>}, mFirstA = 0x0}, <No data fields>}}}
        id = 0
        listenerProxy = {mRawPtr = 0x7f79b9c25660}
        nojsapi = 
            {<mozilla::detail::MaybeStorage<mozilla::dom::AutoNoJSAPI, false>> = {<mozilla::detail::MaybeStorageBase<mozilla::dom::AutoNoJSAPI, false>> = {mStorage = {val = {<mozilla::dom::ScriptSettingsStackEntry> = {mGlobalObject = {<nsCOMPtr_base> = {mRawPtr = 0x7f79b9c026e8}, <No data fields>}, mType = 3206082409, mOlder = 0x7f79b9c00000}, <JSAutoNullableRealm> = {cx_ = 0x560c127029d0 <free(void*)+352>, oldRealm_ = 0x2e2e0}, mCx = 0x7f79b9d001e8, mExecutionYield = {mExecutionGrantingManager = {mRawPtr = 0x0}}}}}, mIsSome = 0 '\000'}, <mozilla::detail::Maybe_CopyMove_Enabler<mozilla::dom::AutoNoJSAPI, false, true, true>> = {<No data fields>}, <No data fields>}
        reply = 
              {mTuple = {<mozilla::detail::CompactPairHelper<IPC::Message*, mozilla::DefaultDelete<IPC::Message>, (mozilla::detail::StorageType)1, (mozilla::detail::StorageType)0>> = {<mozilla::DefaultDelete<IPC::Message>> = {<No data fields>}, mFirstA = 0x0}, <No data fields>}}
#6  0x00007f79bf197595 in mozilla::ipc::MessageChannel::RunMessage(mozilla::ipc::MessageChannel::MessageTask&) (aTask=..., this=0x7f79b9c59ce0)
    at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/glue/MessageChannel.cpp:1859
        msg = 
              @0x7f79b9c8de90: {<mojo::core::ports::UserMessage> = {_vptr.UserMessage = 0x7f79c3a23d40 <vtable for IPC::Message+16>, type_info_ = 0x7f79c23192fb <IPC::Message::kUserMessageTypeInfo>}, <Pickle> = {static kSegmentAlignment = 8, buffers_ = {<InfallibleAllocPolicy> = {<No data fields>}, mOwning = true, mSegments = {<InfallibleAllocPolicy> = {<No data fields>}, static kElemIsPod = false, static kMaxInlineBytes = 999, static kInlineCapacity = 1, mBegin = 0x7f79b9c8dec0, mLength = 1, mTail = {<mozilla::Vector<mozilla::BufferList<InfallibleAllocPolicy>::Segment, 1, InfallibleAllocPolicy>::CapacityAndReserved> = {mCapacity = 1}, mBytes = "\020uŹy\177\000\000<\000\000\000\000\000\000\000h\000\000\000\000\000\000"}}, mSize = 60, mStandardCapacity = 4096}, header_ = 0x7f79b9c57510, header_size_ = 36}, static kUserMessageTypeInfo = {<No data fields>}, file_descriptor_set_ = {mRawPtr = 0x0}, attached_ports_ = {<nsTArray_Impl<mozilla::ipc::ScopedPort, nsTArrayInfallibleAllocator>> = {<nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_RelocateUsingMemutils>> = {mHdr = 0x7f79c14305b0 <sEmptyTArrayHeader>}, <nsTArray_TypedBase<mozilla::ipc::ScopedPort, nsTArray_Impl<mozilla::ipc::ScopedPort, nsTArrayInfallibleAllocator> >> = {<nsTArray_SafeElementAtHelper<mozilla::ipc::ScopedPort, nsTArray_Impl<mozilla::ipc::ScopedPort, nsTArrayInfallibleAllocator> >> = {<detail::nsTArray_CopyDisabler> = {<No data fields>}, <No data fields>}, <No data fields>}, <No data fields>}, <No data fields>}, create_time_ = {mValue = {mUsedCanonicalNow = 0, mTimeStamp = 0}}}
        lock = {mMonitor = 0x7f79b9c57430}
#7  mozilla::ipc::MessageChannel::MessageTask::Run() (this=0x7f79b9c8de40) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/glue/MessageChannel.cpp:1890
        lock = {mMonitor = 0x7f79b9c57430}
#8  0x00007f79bf18c9d0 in MessageLoop::RunTask(already_AddRefed<nsIRunnable>) (aTask=..., this=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_loop.cc:454
        log = {mWillRunAgain = false}
        pending_task = {task = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, delayed_run_time = {ticks_ = 0}, sequence_num = 0, nestable = true}
#9  MessageLoop::DeferOrRunPendingTask(MessageLoop::PendingTask&&) (pending_task=..., this=<optimized out>) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_loop.cc:463
        pending_task = {task = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, delayed_run_time = {ticks_ = 0}, sequence_num = 0, nestable = true}
#10 MessageLoop::DoWork() (this=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_loop.cc:538
        pending_task = {task = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, delayed_run_time = {ticks_ = 0}, sequence_num = 0, nestable = true}
#11 0x00007f79bf18ebb0 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) (this=0x7f79b9c026d0, delegate=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_pump_default.cc:35
        did_work = <optimized out>
        raiiObject22 = {mProfilingStack = 0x7f79b9c25240}
        loop = <optimized out>
        hangMonitor = {mThread = {mRawPtr = 0x0}, static kNoTimeout = 0}
#12 0x00007f79bf54eb6c in MessageLoop::RunInternal() (this=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/objdir/dist/include/mozilla/RefPtr.h:280
        save_state = {<MessageLoop::RunState> = {run_depth = 1, quit_received = false}, loop_ = 0x7ffe1f1b4050, previous_state_ = 0x0}
#13 MessageLoop::RunHandler() (this=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_loop.cc:324
        save_state = {<MessageLoop::RunState> = {run_depth = 1, quit_received = false}, loop_ = 0x7ffe1f1b4050, previous_state_ = 0x0}
#14 MessageLoop::Run() (this=this@entry=0x7ffe1f1b4050) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/chromium/src/base/message_loop.cc:306
        save_state = {<MessageLoop::RunState> = {run_depth = 1, quit_received = false}, loop_ = 0x7ffe1f1b4050, previous_state_ = 0x0}
#15 0x00007f79c0184c90 in XRE_InitChildProcess(int, char**, XREChildData const*) (aArgc=2, aArgv=0x7ffe1f1b4408, aChildData=<optimized out>) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/toolkit/xre/nsEmbedFunctions.cpp:742
        process = {mTuple = {<mozilla::detail::CompactPairHelper<mozilla::ipc::ProcessChild*, mozilla::DefaultDelete<mozilla::ipc::ProcessChild>, (mozilla::detail::StorageType)1, (mozilla::detail::StorageType)0>> = {<mozilla::DefaultDelete<mozilla::ipc::ProcessChild>> = {<No data fields>}, mFirstA = 0x7f79b9c59c00}, <No data fields>}}
        ioInterposerGuard = {<mozilla::detail::MaybeStorage<mozilla::IOInterposerInit, false>> = {<mozilla::detail::MaybeStorageBase<mozilla::IOInterposerInit, false>> = {mStorage = {val = {<No data fields>}}}, mIsSome = <optimized out>}, <mozilla::detail::Maybe_CopyMove_Enabler<mozilla::IOInterposerInit, false, true, true>> = {<No data fields>}, <No data fields>}
        uiMessageLoop = {<base::MessagePump::Delegate> = {_vptr.Delegate = 0x7f79c3a23ab0 <vtable for MessageLoop+16>}, type_ = MessageLoop::TYPE_DEFAULT, id_ = 1, work_queue_ = std::queue wrapping: std::deque with 0 elements, delayed_work_queue_ = std::priority_queue wrapping: std::vector of length 0, capacity 0, deferred_non_nestable_work_queue_ = std::queue wrapping: std::deque with 0 elements, pump_ = {mRawPtr = 0x7f79b9c026d0}, destruction_observers_ = {observers_ = std::vector of length 1, capacity 1 = {0x7f79b9c2dbb0}, notify_depth_ = 0, type_ = base::ObserverList<MessageLoop::DestructionObserver, false>::NOTIFY_ALL}, nestable_tasks_allowed_ = false, exception_restoration_ = false, thread_name_ = "", incoming_queue_ = std::queue wrapping: std::deque with 0 elements, incoming_queue_lock_ = {<mozilla::OffTheBooksMutex> = {<mozilla::detail::MutexImpl> = {platformData_ = {0x0, 0x0, 0x3, 0x0, 0x0}}, <mozilla::BlockingResourceBase> = {<No data fields>}, <No data fields>}, <No data fields>}, state_ = 0x7ffe1f1b3f70, run_depth_base_ = 1, shutting_down_ = false, transient_hang_timeout_ = 0, permanent_hang_timeout_ = 0, next_sequence_num_ = 0, mEventTarget = {mRawPtr = 0x7f79b9c2dba0}}
        raiiObject398 = {mProfilingStack = 0x0}
        raiiObject400 = {<No data fields>}
        raiiObject401 = {mProfilingStack = 0x7f79b9c25240}
        exceptionHandlerIsSet = true
        parentPIDString = <optimized out>
        end = 0x7ffe1f1b6131 ""
        parentPID = <optimized out>
        exitManager = {lock_ = {<mozilla::OffTheBooksMutex> = {<mozilla::detail::MutexImpl> = {platformData_ = {0x0, 0x0, 0x3, 0x0, 0x0}}, <mozilla::BlockingResourceBase> = {<No data fields>}, <No data fields>}, <No data fields>}, stack_ = std::stack wrapping: std::deque with 0 elements, next_manager_ = 0x0}
        rv = <optimized out>
        uiLoopType = <optimized out>
#16 0x0000560c1270eaab in content_process_main(mozilla::Bootstrap*, int, char**) (bootstrap=0x7f79b9c2c620, argc=4, argv=0x7ffe1f1b4408) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/app/../contentproc/plugin-container.cpp:57
        childData = {<No data fields>}
        rv = <optimized out>
#17 0x0000560c127003e3 in main(int, char**) (argc=5, argv=0x7ffe1f1b4408) at /usr/src/debug/firefox-91.0-1.fc35.x86_64/ipc/app/MozillaRuntimeMain.cpp:72
        ret = <optimized out>

Comment 2 Andrey Motoshkov 2021-08-16 11:43:09 UTC
While digging mozilla bugzilla I've found workaround:
Run firefox with MOZ_DISABLE_GMP_SANDBOX=1

Comment 3 Andrey Motoshkov 2021-08-18 08:34:40 UTC
Upstream bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1725828

Comment 4 Lukas Ruzicka 2021-08-20 13:06:01 UTC
(In reply to Andrey Motoshkov from comment #2)
> While digging mozilla bugzilla I've found workaround:
> Run firefox with MOZ_DISABLE_GMP_SANDBOX=1

How do you do it? I have tried `export MOZ_DISABLE_GMP_SANDBOX=1` but it does not seem to have any effect.

Comment 5 Andrey Motoshkov 2021-08-22 14:36:49 UTC
(In reply to Lukas Ruzicka from comment #4)
> (In reply to Andrey Motoshkov from comment #2)
> > While digging mozilla bugzilla I've found workaround:
> > Run firefox with MOZ_DISABLE_GMP_SANDBOX=1
> 
> How do you do it? I have tried `export MOZ_DISABLE_GMP_SANDBOX=1` but it
> does not seem to have any effect.

When opening firefox regularly - spotify web player does not work, displaying message that WidevineCdm plugin has crashed.
When opening firefox from terminal (for passing env) - everything works:
$ MOZ_DISABLE_GMP_SANDBOX=1 firefox-wayland

or with export:
$ export MOZ_DISABLE_GMP_SANDBOX=1
$ firefox-wayland

See upstream bug for more details about the cause.

Comment 6 Martin Stransky 2021-08-23 09:43:40 UTC
We may backport a fix when it's available at https://bugzilla.mozilla.org/show_bug.cgi?id=1725828

Comment 7 Martin Stransky 2021-09-10 05:35:16 UTC
*** Bug 2002833 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2021-09-14 06:10:09 UTC
FEDORA-2021-056d3314d6 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-056d3314d6

Comment 9 Fedora Update System 2021-09-14 18:48:43 UTC
FEDORA-2021-056d3314d6 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-056d3314d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-056d3314d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Martin Stransky 2021-09-15 15:25:41 UTC
*** Bug 1997224 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2021-09-24 20:23:05 UTC
FEDORA-2021-056d3314d6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.